Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::partial_sum_fn Struct Reference

## Synopsis of methods
constexpr view< partial_sum_fn > | partial_sum {}

## Public Member Functions
template<typename Rng , typename Fun = plus>
constexpr auto | operator() (Rng &&rng, Fun fun={}) const -> partial_sum_view< all_t< Rng >, Fun > requires detail::PartialSumViewable< all_t< Rng >, Fun >